from sdk32 import *

wnd_edit = 0
app_name = 'PopPad1'

def wnd_proc(wnd, msg, wparam, lparam):
    global wnd_edit
    if msg == WM_CREATE:
        wnd_edit = CreateWindow('edit', None,
                                WS_CHILD | WS_VISIBLE | WS_HSCROLL \
                                | WS_VSCROLL | WS_BORDER | ES_LEFT \
                                | ES_MULTILINE | ES_AUTOHSCROLL \
                                | ES_AUTOVSCROLL,
                                0, 0, 0, 0, wnd, 1,
                                GetModuleHandle(None), None)
        return 0

    elif msg == WM_SETFOCUS:
        SetFocus(wnd_edit)
        return 0

    elif msg == WM_SIZE:
        MoveWindow(wnd_edit, 0, 0, LOWORD(lparam), HIWORD(lparam), TRUE)
        return 0
    
    elif msg == WM_COMMAND:
        if wparam == 1 and HIWORD(lparam) == EN_ERRSPACE:
            MessageBox(wnd, 'Edit control out of space', app_name,
                       MB_OK | MB_ICONSTOP)
        return 0

    elif msg == WM_DESTROY:
        PostQuitMessage(0)
        return 0

    return DefWindowProc(wnd, msg, wparam, lparam)

def winmain(inst, prev_inst, cmd_line, cmd_show):
    wc = WNDCLASSEX()
    wc.style = CS_HREDRAW | CS_VREDRAW
    wc.wnd_proc = wnd_proc
    wc.inst = inst
    wc.cursor = LoadCursor(0, IDC_ARROW)
    wc.background = GetStockObject(WHITE_BRUSH)
    wc.name = app_name
    RegisterClassEx(wc)

    wnd = CreateWindow(app_name, app_name, WS_OVERLAPPEDWINDOW,
                       CW_USEDEFAULT, CW_USEDEFAULT,
                       CW_USEDEFAULT, CW_USEDEFAULT, 0, 0, inst, 0)

    ShowWindow(wnd, cmd_show)
    UpdateWindow(wnd)

    msg = MSG()
    while 1:
        if not GetMessage(msg, 0, 0, 0):
            break
        TranslateMessage(msg)
        DispatchMessage(msg)
    return msg.wparam

if __name__ == '__main__':
    winmain(GetModuleHandle(None), 0, '', SW_SHOWNORMAL)
